Summary:	Plasma 5 Internet accounts integration module
Name:		kaccounts-integration
Version:	17.08.2
Release:	1
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5config-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	pkgconfig(accounts-qt5)
BuildRequires:	pkgconfig(libaccounts-glib)
BuildRequires:	pkgconfig(libsignon-qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	signon
Requires:	signon-ui
Requires:	signon-plugin-oauth2

%description
Plasma 5 Internet accounts integration module.

%files -f %{name}.lang
%{_kde5_services}/kcm_kaccounts.desktop
%{_kde5_services}/kded/accounts.desktop
%{_qt5_plugindir}/kcm_kaccounts.so
%{_qt5_plugindir}/kded_accounts.so

#--------------------------------------------------------------------

%define qmlkaccounts %mklibname kaccounts-qml

%package -n %{qmlkaccounts}
Summary:	QML plugin for Plasma 5 Internet accounts integration module
Group:		System/Libraries
Provides:	kaccounts-qml = %{EVRD}

%description -n %{qmlkaccounts}
QML plugin for Plasma 5 Internet accounts integration module.

%files -n %{qmlkaccounts}
%dir %{_kde5_qmldir}/org/kde/kaccounts/
%{_kde5_qmldir}/org/kde/kaccounts/*

#----------------------------------------------------------------------------

%define kaccounts_major 1
%define libkaccounts %mklibname kaccounts %{kaccounts_major}

%package -n %{libkaccounts}
Summary:	Plasma 5 Internet accounts integration shared library
Group:		System/Libraries
Requires:	%{qmlkaccounts}

%description -n %{libkaccounts}
Plasma 5 Internet accounts integration shared library.

%files -n %{libkaccounts}
%{_kde5_libdir}/libkaccounts.so.%{kaccounts_major}
%{_kde5_libdir}/libkaccounts.so.%{version}

#----------------------------------------------------------------------------

%define devkaccounts %mklibname kaccounts -d

%package -n %{devkaccounts}
Summary:	Development files for Plasma 5 Internet accounts integration module
Group:		Development/KDE and Qt
Requires:	%{libkaccounts} = %{EVRD}
Requires:	intltool
Provides:	%{name}-devel = %{EVRD}
Provides:	kaccounts-devel = %{version}

%description -n %{devkaccounts}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkaccounts}
%{_kde5_includedir}/KAccounts
%{_kde5_libdir}/cmake/KAccounts
%{_kde5_libdir}/libkaccounts.so

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name}

%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (c640e16) New version 17.08.2


